BBDeserializerModifier (Jackson module: Blackbird 2.14.0 API)

com.fasterxml.jackson.module.blackbird.deser

## Class BBDeserializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BeanDeserializerModifier
  - - com.fasterxml.jackson.module.blackbird.deser.BBDeserializerModifier

-     public class BBDeserializerModifier
      extends com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BBDeserializerModifier.ObjBooleanBiFunction`
    `static interface` | `BBDeserializerModifier.ObjIntBiFunction`
    `static interface` | `BBDeserializerModifier.ObjLongBiFunction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BBDeserializerModifier(Function<Class<?>,MethodHandles.Lookup> lookups, UnaryOperator<MethodHandles.Lookup> accessGrant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<com.fasterxml.jackson.module.blackbird.deser.OptimizedSettableBeanProperty<?>>` | `findOptimizableProperties(MethodHandles.Lookup lookup, com.fasterxml.jackson.databind.DeserializationConfig config, Iterator<com.fasterxml.jackson.databind.deser.SettableBeanProperty> propIterator)`
    `protected boolean` | `isDefaultDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)` Helper method used to check whether given deserializer is the default deserializer implementation: this is necessary to avoid overriding other kinds of deserializers.
    `com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder` | `updateBuilder(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder builder)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

      `modifyArrayDeserializer, modifyCollectionDeserializer, modifyCollectionLikeDeserializer, modifyDeserializer, modifyEnumDeserializer, modifyKeyDeserializer, modifyMapDeserializer, modifyMapLikeDeserializer, modifyReferenceDeserializer, updateProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BBDeserializerModifier

          public BBDeserializerModifier(Function<Class<?>,MethodHandles.Lookup> lookups,
                                        UnaryOperator<MethodHandles.Lookup> accessGrant)

  - ### Method Detail

    - #### updateBuilder

          public com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder updateBuilder(com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                            com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                            com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder builder)

      Overrides:
        `updateBuilder` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerModifier`

    - #### findOptimizableProperties

          protected List<com.fasterxml.jackson.module.blackbird.deser.OptimizedSettableBeanProperty<?>> findOptimizableProperties(MethodHandles.Lookup lookup,
                                                                                                                                  com.fasterxml.jackson.databind.DeserializationConfig config,
                                                                                                                                  Iterator<com.fasterxml.jackson.databind.deser.SettableBeanProperty> propIterator)

    - #### isDefaultDeserializer

          protected boolean isDefaultDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

      Helper method used to check whether given deserializer is the default deserializer implementation: this is necessary to avoid overriding other kinds of deserializers.

Copyright © 2022 FasterXML. All rights reserved.